<!--
  ~ Copyright (c) 2023-2024 Arista Networks, Inc.
  ~ Use of this source code is governed by the Apache License 2.0
  ~ that can be found in the LICENSE file.
  -->

# AntaDevice base class

![AntaDevice UML model](../imgs/uml/anta.device.AntaDevice.jpeg)

## ::: anta.device.AntaDevice

    options:
      filters: ["!^_[^_]", "!__(eq|rich_repr)__", "_collect"]

# Async EOS device class

![AsyncEOSDevice UML model](../imgs/uml/anta.device.AsyncEOSDevice.jpeg)

<!-- _collect must be last to be kept -->

## ::: anta.device.AsyncEOSDevice

    options:
      filters: ["!^_[^_]", "!__(eq|rich_repr)__", "_collect"]
